# $Revision: 1.3 $, $Date: 2003/11/02 21:14:49 $
Summary:	HTX - Hypertext cross-reference utilities
Summary(pl):	HTX - narzdzia do odsyaczy hipertekstowych
Name:		starlink-htx
# from URL: v1.2-7 release 218
Version:	1.2_7.218
Release:	1
# according to http://www.starlink.rl.ac.uk/store/conditions.html
License:	GPL
Group:		Applications/Text
Source0:	ftp://ftp.starlink.rl.ac.uk/pub/ussc/store/htx/htx.tar.Z
# Source0-md5:	cdd9c905f11bf292c81baa37f0499751
URL:		http://www.starlink.rl.ac.uk/static_www/soft_further_HTX.html
BuildArch:	noarch
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	grep
Requires(postun):	fileutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		stardir		/usr/lib/star

%description
HTX is a set of utilities that allows you to maintain and access a
collection of dynamic multi-page hypertext documents that refer to
each other. Its main element is a hypertext linker which can be used
to establish cross-references between documents and to re-establish
these whenever changes occur to individual documents.

%description -l pl
HTX to zbir narzdzi pozwalajcych na zarzdzanie i dostp do
kolekcji dynamicznych wielostronnicowych dokumentw hipertekstowych
odwoujcych si do siebie nawzajem. Gwnym elementem jest linker
hipertekstowy, ktry moe by uywany do tworzenia odsyaczy midzy
dokumentami oraz odtwarzania ich po zmianach w poszczeglnych
dokumentach.

%prep
%setup -q -c

%build
# don't be afraid - it doesn't mean x86-only
SYSTEM=ix86_Linux \
./mk build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{stardir}/{include,lib,share}

SYSTEM=ix86_Linux \
./mk install \
	STARLINK=%{stardir} \
	INSTALL=$RPM_BUILD_ROOT%{stardir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if ! grep -q '^%{stardir}/share$' /etc/ld.so.conf ; then
	echo '%{stardir}/share' >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
	umask 022
	grep -v "^%{stardir}/share$" /etc/ld.so.conf > /etc/ld.so.conf.tmp
	mv -f /etc/ld.so.conf.tmp /etc/ld.so.conf
fi
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc htx.news
# starlink software hierarchy
%dir %{stardir}
%dir %{stardir}/bin
%dir %{stardir}/dates
%docdir %{stardir}/docs
%dir %{stardir}/docs
%dir %{stardir}/include
%dir %{stardir}/help
%dir %{stardir}/lib
%dir %{stardir}/share
# package contents
%attr(755,root,root) %{stardir}/bin/findme
%attr(755,root,root) %{stardir}/bin/hlink
%attr(755,root,root) %{stardir}/bin/showme
%dir %{stardir}/bin/htx-scripts
%{stardir}/bin/htx-scripts/*.sed
%attr(755,root,root) %{stardir}/bin/htx-scripts/[!ceg]*
%attr(755,root,root) %{stardir}/bin/htx-scripts/creindex
%attr(755,root,root) %{stardir}/bin/htx-scripts/gettitle
%{stardir}/dates/*
%{stardir}/docs/sun*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: starlink-htx.spec,v $
Revision 1.3  2003/11/02 21:14:49  ankry
- restore Source0 URL

Revision 1.2  2003/11/02 21:09:14  ankry
- use dropin to fetch sources

Revision 1.1  2003/11/02 01:01:25  qboosh
- new

